=============================================================================
    Intel(R) Server Platform S2600IP/W2600CR FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:   Feb 14, 2014

TO:	    Intel(R) Server Platform S2600IP/W2600CR customers

SUBJECT:    IBMC(R) FRU/SDR update package S2600IPCR_FRUSDR_1.12 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (c) 2010 - 2014 Intel Corporation.


=============================================================================
                              ABOUT THIS RELEASE
=============================================================================

SDR file version: 1.12
W2600CR FRU file version: 1.00
S2600IP FRU file version: 1.00
Master configuration file version: 1.12
FRUSDR utility version: v11.0_Build20

=============================================================================
        SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- This FRU/SDR package has only been tested on S2600IP/W2600CR FAB2 baseboards.

- BMC firmware rev 01.14 (or later) MUST be preinstalled prior to installing
  this FRU/SDR package.

- BIOS x058 or later
- MB Ver B2B

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

- None

=============================================================================
            INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC release 01.14 or later is pre-installed before attempting this
   FRU/SDR update.

2. Copy all of the files in the S2600IPCR_FRUSDR_1.12.zip archive to a USB key,
   hard disk drive or floppy drive.
   All of the files in this zip archive must reside in the same directory.

3. Boot to EFI and then run the following command to display the
   contents of the baseboard FRU device:

    FRUSDR /d FRU

   If device is empty(which is the case for all new FAB1 baseboards) or corrupted, then
   execute the following command to program the empty FRU device:

   For S2600IP:
        FRUSDR /fru S2600IP.fru
   For W2600CR:
        FRUSDR /fru W2600CR.fru

4. Now execute the following command to bring up the main FRU/SDR load menu:

    FRUSDR /cfg master.cfg


5. Select the option which is applicable to what you want to do. On a brand
   new baseboard I would highly recommend to run option 3 to program both
   the FRU and SDR. By reprogramming the FRU you will be given the option
   to input data from the keyboard into various chassis, board and product
   areas. Ensure that you select the correct chassis from the chassis
   selection menu otherwise your fan sensors will not be configured
   properly.

6. Once the package has finished its installation, I would highly recommend
   to DC power off the system and cycle AC power.

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

- Error message will popup when flash FRUSDR with one CPU with BIOS x34; the
  tracker has submitted, EPSD100017057.
- 1600w PSU PEC error will cause PSU related sensors failed.

=============================================================================
                           FEATURES ADDED
=============================================================================
S2600IPCR_FRUSDR_1.12:
- Add 'PSU1 Status' and 'PSU2 Status' SDR records.

S2600IPCR_FRUSDR_1.11:
- Update FRUSDR utility to version 11 build 19.

S2600IPCR_FRUSDR_1.10:
- Add MIC margin/status sensors.
- Follow IronPass_CONFIG-FSC.xls(v5.2).
- Follow CrownPass_CONFIG-FSC.xls(v4.5).

S2600IPCR_FRUSDR_1.09:
- I/O Module temperature sensor detection changed.
- Correct ps curr out % upper critical threshold for 1200w/1600w psu.
- Remove power unit redundancy sensor de-assertion event.
- Change the capability of IO/SAS Mod presence sensors to manual-rearm.
- Remove processor disabled event for processor status sensors.
- Change the capability of processor/memory VRD Hot sensors to auto-rearm.
- Modify HDD status sensors As/De event mask as 8300.
- Update Sensor Unavailable Control Value for LAN clamp record to 0.
- Fix BHP PS configuration error.
- Modify M byte to 05h and RExp/BExp byte to F0h for MTT sensors.
- Correct SAS module presence sensor entity instance.
- Update FRUSDR utility to FRUSDR11.0-Build14, and FRUSDR.txt.
- Follow IronPass_CONFIG-FSC.xls(v4.8).

S2600IPCR_FRUSDR_1.08:
- Change power unit redundancy sensor to manual rearm.
- Change the tag for SDR type 11 related to PSU.

S2600IPCR_FRUSDR_1.07:
- Add supporting R2000 storage chassis front panel temperature sensor.
- Follow IronPass_CONFIG-FSC.xls(v4.7).
- Update FRUSDR utility to FRUSDR11.0-Build11, and FRUSDR.txt.

S2600IPCR_FRUSDR_1.06:
- Add SDR type 11 for FRU device locator record.
- Correct SAS module fru entity instance.
- Add IO/SAS module present sensor.
- Rearrange sequence number for HDD status sensors, starting from zero.
- Add no_fan tags for the fan which is not detected.
- Modify IO module clamp temperature.
- Follow IronPass_CONFIG-FSC.xls(v4.6).

S2600IPCR_FRUSDR_1.05:
- Correct the display to product name.

S2600IPCR_FRUSDR_1.04:
- BHP supports front panel with product name, F2USTOPANEL.
- Change front Panel Temp sensor entity ID from 0x0C to 0x40.
- Add record for PMBus Power Supply Address SDR Format.
- Add tag for 750w ERP PSU for PS fan.
- Remove UCC for ps domain.
- Follow IronPass_CONFIG-FSC.xls(v4.5).

S2600IPCR_FRUSDR_1.03:
- Rearrange cpu fan probe sequence.
- Follow IronPass_CONFIG-FSC.xls(v4.3).
- Follow CrownPass_CONFIG-FSC.xls(v4.0).

S2600IPCR_FRUSDR_1.02:
- Add Fan Redundancy Map Record for 3rd party chassis.
- Add 1600w PSU detection.
- Support 750w ERP PS previous P/N.
- Detect twice for fan tach detection. 
- Follow IronPass_CONFIG-FSC.xls(v4.0).
- Follow CrownPass_CONFIG-FSC.xls(v3.9).

S2600IPCR_FRUSDR_1.01:
- BHP chassis has no chassis intrusion switch, correct the tag.
- Modify Exit Air Temp sensor As/De event mask as 0000.
- Remove tags for FCT/FCT2.
- Correct IP stepwise curve id 07.
- Follow IronPass_CONFIG-FSC.xls(v3.9).
- Follow CrownPass_CONFIG-FSC.xls(v3.8).

S2600IPCR_FRUSDR_1.00:
- Change CFG file, SDR file, FRU file version number to 1.00.
- Remove assertion/deassertion event of Exit Air Temp sensor(0x2E).
- Modify front panel FRU entity id to 0Ch, align the instance to 1h.
- Correct BHP redundant Chassis ID & FRU LED Mapping.
- Modify 750w ERP PSU P/N to FS750HS1-00.
- Correct the message when 750W ERP PSU is detected.
- Follow IronPass_CONFIG-FSC.xls(v3.5).
- Follow CrownPass_CONFIG-FSC.xls(v3.5).

S2600IPCR_FRUSDR_14:
- Add BIOS SDR and correct owner id/sensor number/event reading type.
- Correct BHP non-redundant cooling detection.
- Remove aggregate sensor configuration record format for FCT/FCT2.
- Update FRUSDR utility to FRUSDR11.0-Build06, and FRUSDR.txt.
- Align entity instance for some entity ids.
- Follow IronPass_CONFIG-FSC.xls(v3.3).

S2600IPCR_FRUSDR_13:
- master.cfg: Add "NO_CHASSIS_INTRU" tag for Other chassis and shipping.
- Divide sensor number 04h record into two, one is with chassis intrusion event mask, another is not.
- Change SN:0x26/0x2d/0x2f entity id to 07h and instance to 01h.
- Modify HSBP detection.
- Change P4304CR normal control value to 15%.
- Follow IronPass_CONFIG-FSC.xls(v3.2).
- Follow CrownPass_CONFIG-FSC.xls(v3.2).

S2600IPCR_FRUSDR_12:
- New FRUSDR naming conversions.
- FRU files to v0.02.
- Change the tag for stepwise header, BB EDGE Temp.
- Add fan sensor domain map for OTHER chassis.
- Remove BMC Health de-assert event.
- Modify CPU TDP detection and tags.
- Correct OTHER/FCT/FCT2 LED mapping number.
- Correct BHP system airflow quantity of fans.
- Correct non 130/135W CPU thermal margin reference for aggregate sensor.
- Add OTHER chassis for SDR type 14/15.
- Divide 'EATEMP' tag into two for 'IP_TEMP' and 'CR_TEMP'
- Modify sensor type and event reading type for Mem P1 Thermal Trip.
- Correct BB +1.35 P1LV CD normal maximum value.
- Correct BB +1.35 P2LV CD Rexp/Bexp.
- Correct HSBP 8 X 3.5 detection.
- Follow IronPass_CONFIG-FSC.xls(v2.8).
- Follow CrownPass_CONFIG-FSC.xls(v2.8).

FIP_CR_11:
- Correct BHP quality of fan numbers in system airflow formula.
- Correct UCC curve id.
- Change BHP NR fan tag.
- Rearrange device detected sequence, and remove unnecessary action of clear.
- Add FCT/FCT2 fan 6 present sensor.
- Follow IronPass_CONFIG-FSC.xls(v2.5).
- Follow CrownPass_CONFIG-FSC.xls(v2.5).

FIP_CR_10:
- Add tag for third party chassis for clamp temperature sensor.
- Remove 3V VBat upper critical/non-critical event mask and threshold.
- Rename MTT CPU sensor.
- Correct comment in FRU file.
- Modify loading PS redundancy sensor while both redundant PSUs are installed.
- Leave PS1 sensor for FCT.
- Update FRUSDR utility to FRUSDR11.0-Build05, and FRUSDR.txt.
- Correct BMC Health Sensor Capabilities to 40h.
- Add FP NMI tag.
- Follow IronPass_CONFIG-FSC.xls(v2.4).
- Follow CrownPass_CONFIG-FSC.xls(v2.4).

FIP_CR_09:
- Modify SAS module FRU/temperature address to 0xA8/0x98.
- Clear aggregate sensor assert/deassert event mask.
- Add CPU power detection for 95w/130w/150w.
- Corrected 83h/84h temperature source.
- Corrected A4/A5 sensor name.
- Remove 0x2E sensor from SHIP.
- Modify HSC Status sensor name.
- Add BHP HSBP detection.
- Corrected other chassis fan tag.
- Remove other chassis for full speed.
- Follow IronPass_CONFIG-FSC.xls(v2.3).
- Follow CrownPass_CONFIG-FSC.xls(v2.3).

FIP_CR_08:
- Add 750W ERP PSU sensor for BHP.
- Change PS REDUNDANCY sensor condition.
- Follow IronPass_CONFIG-FSC.xls(v2.2).
- Follow CrownPass_CONFIG-FSC.xls(v2.2).

FIP_CR_07:
- Correct FSC record error for fan profile setting.
- Replace PS Fan sensor by PS Fan Fail sensor.
- Adjust sensor name for SN 0x4, 0xB, 0x24, 0x3X, 0x7X, 0x9X, 0xC1.
- Add HSC Status sensors.
- Add NM Discovery sensor.
- Add FAN FRU LED Mapping records.
- Correct curve id data.
- Change product code for S2600IP/W2600CR.
- Follow IronPass_CONFIG-FSC.xls(v1.9).
- Follow CrownPass_CONFIG-FSC.xls(v1.9).

FIP_CR_06:
- Change owner lun for MTT sensors.
- Add Exit Air Temp sensor.
- Modify System Airflow Formula for FSC Record Type 11.
- Change Global Clamp record for DIMM Thrm Mrgn Sensor Unavailable Control
  Value to 0.
- Change sensor name from "IBMC Watchdog"(0x0A) to "BMC Watchdog".
- Change sensor name from "BMC FW Health"(0x10) to "BMC Health".
- Add OTHER chassis FSC record.
- Add FW Update Status sensor and HSC Status sensor.

FIP_CR_05:
- Correct referred FSC clamp and stepwise record data.
- Add MSID Mismatch sensors.
- Add DIMM thermal throttling sensors.
- Add IO module and SAS module temp sensors for FCT.
- Update FRUSDR utility to FRUSDR11.0-Build02, and FRUSDR.txt.
- Adjust Global Aggr thermal margin sensors for each SKU.
- Correct the display for detecting HSBP.
- Correct HDD status sensors for 8x2.5" HSBP.
- Follow IronPass_CONFIG-FSC.xls(v1.6).
- Follow CrownPass_CONFIG-FSC.xls(v1.6).

FIP_CR_04:
- Remove 0x1F BB LAN Temp sensor.
- Follow IronPass_CONFIG-FSC.xls(v1.4).
- Follow CrownPass_CONFIG-FSC.xls(v1.4).
- Align entity instance for entity id 07 to the same value.

FIP_CR_03:
- Add FSC feature for all SKUs.
- Add auto-detection mechanism.
- Change fan auto-detection for fixed fan chassis.
- Follow IronPass_CONFIG-FSC.xls(v1.3).
- Follow CrownPass_CONFIG-FSC.xls(v1.3).

FIP_CR_02:
- Add SDR "SAS Mod Temp" sensor.
- Add SDR "DIMM Thrm Mrgn 1" "DIMM Thrm Mrgn 2" "DIMM Thrm Mrgn 3"  "DIMM Thrm Mrgn 4" sensors.
- Add SDR "BB LAN Temp" sensor.
- Add SDR "BMC FW Health" sensor.
- Follow IronPass_CONFIG-FSC.xls(v1.1).
- Follow CrownPass_CONFIG-FSC.xls(v1.1).

FIP_01:
- This package is only for PO builds.
- Update SDR as per IronPass_CONFIG-FSC.xls(v1.0).
- Update SDR as per CrownPass_CONFIG-FSC.xls(v1.0).

=============================================================================
                           ISSUES FIXED
=============================================================================
S2600IPCR_FRUSDR_1.12:
- None.

S2600IPCR_FRUSDR_1.11:
- None.

S2600IPCR_FRUSDR_1.10:
- None.

S2600IPCR_FRUSDR_1.09:
- EPSD100021008 - System status LED still keep amber blinking when CPU VRD Hot 
  Sensor in Deassert state.
- EPSD100017596 - FRU version update fail.

S2600IPCR_FRUSDR_1.08:
- None.

S2600IPCR_FRUSDR_1.07:
- None.

S2600IPCR_FRUSDR_1.06:
- EPSD100021008 - No "SAS Module Presence" sensor is defined in SDR file.

S2600IPCR_FRUSDR_1.05:
- None.

S2600IPCR_FRUSDR_1.04:
- EPSD100020290 - FRUSDR1.03 can't detect BHP Redundant Fan sku automatically with FP G28538-201.

S2600IPCR_FRUSDR_1.03:
- None.

S2600IPCR_FRUSDR_1.02:
- EPSD100020031 - FRUSDR auto-detection function fail while BMC is in SHIP mode or FCT mode.

S2600IPCR_FRUSDR_1.01:
- None.

S2600IPCR_FRUSDR_1.00:
- None.

S2600IPCR_FRUSDR_14:
- None.

S2600IPCR_FRUSDR_13:
- None.

S2600IPCR_FRUSDR_12:
- None.

FIP_CR_11:
- None.

FIP_CR_10:
- EPSD100014240 - Some information are not match FRU file.

FIP_CR_09:
- None.

FIP_CR_08:
- None.

FIP_CR_07:
- EPSD100015244 - No FAN FRU LED Mapping defined in SDR file.

FIP_CR_06:
- None.

FIP_CR_05:
- None.

FIP_CR_04:
- None.

FIP_CR_03:
- None.

FIP_CR_02:
- None.

FIP_01:
- None.

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
IronPass_CONFIG-FSC Rev5.2 datasheet
CrownPass_CONFIG-FSC Rev4.5 datasheet
[END OF RELEASE NOTES]